stages:
  - stage
  - production

staging:
  stage: stage

  only:
    - develop
    - master

  script:
    - echo staging in shipyard
    - rsync -avvhre ssh . shipyard.nekutima.eu:/usr/local/www/apache24/data/nekutima.eu
    # - rsync -avhr ./public/ jbgoldberg@shipyard.nekutima.eu:/usr/local/www/data/www.shipyard.nekutima.eu/
    
deploy:
  stage: production

  when: manual

  only:
    - master

  dependencies:
    - staging

  script:
    - echo production deploy
    - rsync -v -r -e ssh . www.nekutima.eu:/usr/local/www/apache24/data/nekutima.eu
    # - rsync -v -r -e ssh ./dist/ appcluster.nekutima.eu:/usr/local/www/cgi-bin/api.nekutima.eu/
